nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::IActionResponse Class Referenceabstract
Inheritance diagram for nx::sdk::IActionResponse:

## Public Member Functions
virtual bool | useProxy () const =0
virtual bool | useDeviceCredentials () const =0
Public Member Functions inherited from nx::sdk::Interface< IActionResponse, IActionResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IActionResponse0
virtual const char * | actionUrl () const =0
virtual const char * | messageToUser () const =0
Public Member Functions inherited from nx::sdk::Interface< IActionResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IActionResponse0
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IActionResponse, IActionResponse0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::Interface< IActionResponse0 >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ useDeviceCredentials()

virtual bool nx::sdk::IActionResponse::useDeviceCredentials | ( |  | ) | const
| pure virtual

Returns
  Whether device authentication should be used for actionUrl().

Implemented in nx::sdk::ActionResponse.

## ◆ useProxy()

virtual bool nx::sdk::IActionResponse::useProxy | ( |  | ) | const
| pure virtual

Returns
  Whether proxying through the connected server should be used for actionUrl().

Implemented in nx::sdk::ActionResponse.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_action_response.h